summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Murat D. Kadirov <banderols@gmail.com>2010-05-11 22:54:59 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:59 +0200
commit3a8cf1465fbd87591d35819bd2c903eb4b44ade4 (patch)
tree160fc0ad25cb519900e74ed5713d1e705aebcbdf /network
parent123b59e6fcf465d1ccc983ed2f1a89a9082c6c51 (diff)
downloadslackbuilds-3a8cf1465fbd87591d35819bd2c903eb4b44ade4.tar.gz
slackbuilds-3a8cf1465fbd87591d35819bd2c903eb4b44ade4.tar.xz
network/netkit-kernel: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/netkit-kernel/README6
-rw-r--r--network/netkit-kernel/netkit-kernel.SlackBuild48
-rw-r--r--network/netkit-kernel/netkit-kernel.info8
-rw-r--r--network/netkit-kernel/slack-desc21
4 files changed, 83 insertions, 0 deletions
diff --git a/network/netkit-kernel/README b/network/netkit-kernel/README
new file mode 100644
index 0000000000..4d7045f571
--- /dev/null
+++ b/network/netkit-kernel/README
@@ -0,0 +1,6 @@
+This is the Netkit UML kernel K2.5 (part of NetKit available from
+SlackBuild.org).
+
+Netkit virtual machines use the special file provided with this package
+as their own kernel. This file is a vanilla Linux kernel which has been
+compiled to work as a User Mode Linux (UML) kernel.
diff --git a/network/netkit-kernel/netkit-kernel.SlackBuild b/network/netkit-kernel/netkit-kernel.SlackBuild
new file mode 100644
index 0000000000..530f68ba1e
--- /dev/null
+++ b/network/netkit-kernel/netkit-kernel.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Slackware build script for netkit-kernel
+
+# Written by Murat D. Kadirov <banderols@gmail.com>
+# This script is just a binary repackaging.
+
+PRGNAM=netkit-kernel
+PRGNAM_proj=netkit
+PRGNAM_ker=kernel
+VERSION=K2.5
+ARCH=i386
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/$PRGNAM_proj $OUTPUT
+cd $TMP
+rm -rf $PRGNAM_proj/$PRGNAM_ker
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM_proj/$PRGNAM_ker
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd ..
+mv $PRGNAM_ker $PKG/opt/$PRGNAM_proj
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/$PRGNAM_proj/$PRGNAM_ker
+mv CHANGES README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/netkit-kernel/netkit-kernel.info b/network/netkit-kernel/netkit-kernel.info
new file mode 100644
index 0000000000..d623b7cb3b
--- /dev/null
+++ b/network/netkit-kernel/netkit-kernel.info
@@ -0,0 +1,8 @@
+PRGNAM="netkit-kernel"
+VERSION="K2.5"
+HOMEPAGE="http://www.netkit.org"
+DOWNLOAD="http://www.netkit.org/download/netkit-kernel/netkit-kernel-K2.5.tar.bz2"
+MD5SUM="8a5a8043415b48f3310a0afff26d6bac"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="dsomero"
diff --git a/network/netkit-kernel/slack-desc b/network/netkit-kernel/slack-desc
new file mode 100644
index 0000000000..23c4940de0
--- /dev/null
+++ b/network/netkit-kernel/slack-desc
@@ -0,0 +1,21 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+netkit-kernel: netkit-kernel (Netkit UML kernel K2.5)
+netkit-kernel:
+netkit-kernel: Netkit is a self-contained environment that makes it easy and
+netkit-kernel: costless to emulate complex network configurations on a single
+netkit-kernel: host machine.
+netkit-kernel:
+netkit-kernel:
+netkit-kernel:
+netkit-kernel:
+netkit-kernel:
+netkit-kernel:
+:
+